Create Event Attendance

The Create Event Attendance service allows you to directly create attendance records in the Pushpay database. In order to create the attendance records, an XML file with the designated structure must be sent with the service call.

Service Name

create_event_attendance

Input XML Structure

NameTypeDescription
event idintegerEvent ID attribute
event occurrencedatetimeEvent occurrence datetime attribute
did_not_meetboolean
head_countintegerOptional generic headcount
attendeesxmlList of attendee elements with id attribute
topicstringOptional
notesstringOptional general notes
prayer_requestsstringOptional prayer/praise notes
infostringOptional people notes
email_notificationstringOptional. Values: 'none', 'leaders', 'group'

Example Curl

curl -u user:pass -F filedata=@"/Users/jsmith/create_attendance.xml" "https://yourchurch.ccbchurch.com/api.php?srv=create_event_attendance"

Example Input XML

<?xml version="1.0" encoding="UTF-8"?>
<events>
  <event id="1453" occurrence="2012-07-29 08:00:00">
    <did_not_meet>false</did_not_meet>
    <head_count>12</head_count>
    <attendees>
      <attendee id="3056"></attendee>
      <attendee id="3057"></attendee>
    </attendees>
    <topic>Walk with God</topic>
    <notes>These are notes we took</notes>
    <prayer_requests>Prayer requests: Jacob - Ask God's guidance as he learns new topics in college</prayer_requests>
    <info>Jamie was sick</info>
    <email_notification>none</email_notification>
  </event>
</events>

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument name="srv" value="create_event_attendance"/>
    </parameters>
  </request>
  <response>
    <service>create_event_attendance</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <events count="1">
      <event id="1456">
        <name>Test Event via API part II</name>
        <occurrence>2012-08-26 08:00:00</occurrence>
        <did_not_meet>false</did_not_meet>
        <topic>Walk with God Chapter 2</topic>
        <notes>None</notes>
        <prayer_requests>Back to school</prayer_requests>
        <info>Amy and Jancie brought friends.</info>
        <attendees>
          <attendee id="2412">
            <first_name>Ken</first_name>
            <last_name>Scott</last_name>
          </attendee>
          <attendee id="2463">
            <first_name>Leslie</first_name>
            <last_name>Scott</last_name>
          </attendee>
          <attendee id="2464">
            <first_name>Kaitlyn</first_name>
            <last_name>Scott</last_name>
          </attendee>
        </attendees>
        <head_count>12</head_count>
      </event>
    </events>
  </response>
</ccb_api>